Update a pod mutation.

Updates a pod mutation.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The organization ID.

string
required

The cluster ID.

string
required

The ID of the pod mutation.

Body Params

PodMutation represents a mutation that can be applied to pods in a cluster.

string

The name of the pod mutation.

boolean

Indicates whether the pod mutation is enabled.

objectFilter
object
deprecated

Deprecated: Use object_filter_v2 instead.
Object filter used to filter the Kubernetes objects that the pod mutation should apply to.

objectFilterV2
object

Object filter used to filter the Kubernetes objects that the pod mutation should apply to.

labels
object

Labels to add to the pods.

annotations
object

Annotations to add to the pods.

nodeSelector
object

Node selector to apply to the pods.

tolerations
array of objects

Tolerations to apply to the pods.

tolerations
affinity
object

Affinity to apply to the pods.

string
enum

The type of spot instance to use.

Allowed:
nodeTemplatesToConsolidate
array of strings

Node template names to consolidate

nodeTemplatesToConsolidate
boolean

Deprecated: restart_matching_workloads is deprecated.

int32

The percentage of pods (0-100) that receive spot scheduling constraints.
The specific spot scheduling constraints depend on the selected SpotType.
At least the remaining percentage will be scheduled on on-demand instances.
This field applies only if SpotType is specified.

patch
array of objects

Optional patching field that allows mutation of pod definitions using the standard
JSON patch mechanism. All preceding mutations have a priority, and the patch is
applied at the end. Setting this field does not guarantee that it won't override
mutations set in previous fields. For example, if a label is added via the labels
field and then removed by the patch, the label will be removed.
For more detailed explanation read JSON patching section in kubernetes documentation:
https://kubernetes.io/docs/reference/kubectl/generated/kubectl_patch/

patch
distributionGroups
array of objects

Distribution groups allow percentage-based distribution of configurations across pods.
Each group defines a percentage of pods that should receive specific configurations.
This enables scenarios like "70% of pods get label A, 30% get label B" or
"20% consolidate to node template A, 80% to template B".

Validation rules (enforced by service logic):

  • Sum of all distribution group percentages must not exceed 100
  • Distribution group names must be unique within this pod mutation
distributionGroups
podEviction
object

Eviction settings for enforcement of pod mutations.

Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json